com.jogamp.gluegen.cgram.types

## Enum CompoundTypeKind

- java.lang.Object
- - java.lang.Enum<CompoundTypeKind>
  - - com.jogamp.gluegen.cgram.types.CompoundTypeKind

- All Implemented Interfaces:
    Serializable, Comparable<CompoundTypeKind>

      public enum CompoundTypeKind
      extends Enum<CompoundTypeKind>

  Type-safe enum for discriminating between structs and unions represented as compound types. Used while syntax parsing.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `STRUCT`
    `UNION`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CompoundTypeKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CompoundTypeKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRUCT

          public static final CompoundTypeKind STRUCT

    - #### UNION

          public static final CompoundTypeKind UNION

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static CompoundTypeKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CompoundTypeKind c : CompoundTypeKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CompoundTypeKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null